from ocp_vscode import *
from build123d import *
set_port(3939)

tt = thickness_toolboard = 0.8
ttc = thickness_total_connector = 4.0
cw = clamp_width = 9.8
dc = depth_clamp = 4.0
dcs = depth_clamp_space = 1.6
tlp = thickness_locking_pin = cw*0.25
lcr = length_clamp_room = cw+5

pts = [
        (0, 0),
        ((tlp+2.5), 0),
        ((tlp+2.5), dcs),
        (tlp, dcs),
        (tlp, (dc+tt+ttc)),
        (0, (dc+tt+ttc)),
        (0, 0)
]

with BuildPart() as clampLock:
    with BuildSketch() as sk_clampLock:
        with BuildLine() as ln_clampLock:
            Polyline(pts)
        make_face()
    extrude(amount = cw)
    fillet(clampLock.edges(), radius = 0.2)

export_step(clampLock.part, "connectorHoleClampLock.step")
show_all()
